var Api = require('../../utils/api.js');
var app = getApp();

Page({
  data: {
    title: "录入信息",
    array: ['请选择', '小学', '初中', '高中（包括中专和普通高中）', '大学（包括高职、大专及本科）', '研究生及以上', '文盲'],
    date: '1980-01-01',
    time: '请选择时间',
    items: [{
        name: '男',
        value: '男'
      },
      {
        name: '女',
        value: '女'
      },
    ],
    sex: '',
    username: '',
    usernumber: '',
    sheqvNumber: '',
    workNumber: '',
    index: 0,
    title1: "", // 答题
    content: '',
    otype: -2,
    lb_id: '',
    lb_tz: -1,
    tplb: -1,
    show: false,
    payInfo: true,
    array1: ['请选择', '已婚', '未婚', '离异', '丧偶'],
    array2: ['请选择', '军人', '文职', '聘用人员', '其他'],
    array3: ['请选择', '未育', '怀孕', '育有1子', '育有2子及以上'],
    array4: ['请选择', '护士', '护师', '主管护师', '副主任护师及以上'],
    array5: ['请选择', '实习护士', '普通护士', '护理组长', '专科护士', "护士长"],
    array6: ['请选择', '0-3年', '4-5年', '6-10年', '11-20年', "21年以上"],
    select: 0,
    select2: 0,
    select3: 0,
    select4: 0,
    select5: 0,
    select6: 0,
    username1: '',
    grade:'',//年级
    classGrade:'',//班级
    hosiptiaFlag: true,
    helpArr: [{
      name: '核心型',
      value: '核心型'
    }, {
      name: '大家庭',
      value: '大家庭'
    }, {
      name: '单亲型',
      value: '单亲型'
    }, {
      name: '父母离婚',
      value: '父母离婚'
    }, {
      name: '重组型',
      value: '重组型'
    }, {
      name: '其他',
      value: '其他'
    }],
    home: '', // 家庭类型
    fage: '', // 父亲年龄
    foccupation: '', //父亲职业
    fdegree: '', //父亲文化程度
    mage: '', // 母亲年龄
    moccupation: '', //母亲职业
    mdegree: '', //母亲文化程度
    jobnumber: '', //工号
    hidden: true,
    nocancel: true,
    ishow: '',
    bid: "",
    is_yzm: "0", //验证码 0不需要 1需要
    yzm: "",
    politicsStatus: "", //政治面貌
    unitTime: "请选择", //进入单位时间
    jobNature: ["请选择", "综合岗位", "办案岗位"],
    jobSelect: 0,
    postLevel: ["请选择", "科级以上领导", "中层干部", "普通干部"],
    postSelect: 0,
  },
  onLoad: function (options) {
    var that = this;
    var user = wx.getStorageSync("user");
    that.setData({
      ishow: options
    })
    // 判断是否转发，
    if (true) {
      wx.login({
        success: function (res) {
          if (res.code) {
            // var loadingPhoto = setTimeout(function () {
            wx.showLoading({
              title: '加载中...',
              mask: true
            })
            // }, 1000)
            var url = Api.HOST + 'applet.php?s=Applet/getopenid';
            var data = {};
            data.code = res.code;
            Api.fetchPost(url, data, (err, res) => {
              var obj = {};
              obj.openid = res.openid;
              obj.unionid = res.unionid;
              obj.ret = res.ret;
              obj.expires_in = Date.parse(new Date()) / 1000 + res.expires_in;
              wx.setStorageSync('user', obj); //存储openid
              var otype = options.otype ? options.otype : -1;
              // =0 心理测试支付  =1 第一次答完题进行第二题  else 扫码过来
              if (otype == '0') {
                var itemData = wx.getStorageSync("itemData");
                if (itemData[0]) {
                  that.setData({
                    otype: 0,
                    title1: itemData[0].measure_name,
                    content: itemData[0].measure_desc,
                    show: true,
                    is_yzm: options.is_yzm
                  })
                }
                wx.setStorageSync('g_id', options.g_id)
              } else if (otype == '1') {
                wx.setStorageSync('g_id', options.g_id)
                that.setData({
                  is_yzm: options.is_yzm
                })
                if (options.otype1 && options.otype1 == '1') {
                  var info = wx.getStorageSync('weiLb');
                  if (info.unitid == 737) {
                    that.setData({
                      hosiptiaFlag: false,
                    })
                  } else {
                    that.setData({
                      hosiptiaFlag: true,
                      unitid: info.unitid,
                    })
                  }
                  that.loaditem(info);
                } else {
                  var info = wx.getStorageSync('weiLb');
                  that.loaditem(info);
                }
              } else {
                // 二维码携带的参数
                var scene = decodeURIComponent(options.scene)
                wx.setStorageSync('g_id', scene)
                that.zfpd(scene);
              }
              that.loadData();
              wx.setNavigationBarTitle({
                title: that.data.title
              });
            });
          } else {
            console.log('获取用户登录态失败！' + res.errMsg)
          }
        },
        fail: function (err) {
          console.log("login失败")
        }
      });
    } else {}
    // let allData = wx.getStorageSync('data');
  },
  confirm: function () {
    this.setData({
      nocancel: this.data.nocancel,
      hidden: true,
      payInfo: true
      // delbtn:-1
    });
    wx.showTabBar({
      aniamtion: true
    })
  },
  zfpd(e) {
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/is_price';
    var user = wx.getStorageSync('user');
    var data = {};
    data.z_openid = user.openid;
    data.g_id = e;
    Api.fetchPost(url, data, (err, res) => {
      wx.hideLoading()
      this.setData({
        unitid: res.unitid,
        bid: res.measure_id_z,
        is_yzm: res.is_yzm
      })
      that.loadData();
      if (Number(res) == 0) {
        Api.alert('您扫的二维码已经失效，请重新检测。', function () {
          wx.switchTab({
            url: '/pages/index/index',
          })
        });
      } else {
        wx.setStorageSync('weiLb', res)
        // 是否有未做完的题
        if (res.unitid == 737) {
          that.setData({
            hosiptiaFlag: false
          })
        } else {
          that.setData({
            hosiptiaFlag: true
          })
        }
        // res.record_id = res.characters_id;
        if (res.characters_id) {
          res.record_id = res.characters_id
        } else {
          res.record_id = -1;
        }
        // wx.setStorageSync('yanzhengid', characters_id);
        // 
        // 功能更改    账户没钱，提醒用户，用户不需要支付
        // 
        // 
        if (Number(res.type) == 1) {
          that.loaditem(res, e);
        } else if (Number(res.type) == 2) {
          Api.alert('您已测试完成，请勿重复扫码。', function () {
            wx.switchTab({
              url: '/pages/index/index',
            })
          });
        } else {
          if (Number(res.status) == 0) {
            that.pay(res, e);
          } else {
            var user = wx.getStorageSync('user');
            var data1 = {};
            data1.openid = user.openid;
            data1.gold = res.money;
            data1.unitid = res.unitid;
            data1.payargs = '';
            data1.type = res.status;
            data1.g_id = e;
            var url = Api.HOST + 'wechat.php?s=Home/paycs';
            Api.fetchPost(url, data1, (err, res1) => {
              if (Number(res1.ret) == 0) {
                // that.pay(res, e);
                wx.showToast({
                  title: '账户余额不足',
                  icon: 'loading',
                  duration: 2000
                })
                setTimeout(function () {
                  wx.switchTab({
                    url: '/pages/index/index',
                  })
                }, 2000)
              }
              that.loaditem(res, e);
            });
          }
        }
      }
    })
  },
  onShow: function () {
    let that = this;
    var date = new Date();
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var str = year + "-" + month + "-" + day;
    var str1 = (year - 100) + "-" + month + "-" + day;
    that.setData({
      endTime: str,
      startTime: str1
    })
  },
  /**
   * 自定义函数--支付功能
   * e---支付需要的参数
   * 
   * */
  pay(e, g_id) {
    let that = this;
    console.log("pay")
    // app.getUserInfo(function (userInfo) {
    var userInfo = wx.getStorageSync('userInfo');
    if (!userInfo) {
      app.getUserInfo();
    }
    var url = Api.HOST + 'wechat.php?s=Home/index';
    var data = {};
    var user = wx.getStorageSync('user');
    data.openid = user.openid;
    data.nickname = userInfo.nickName;
    data.headimgurl = userInfo.avatarUrl;
    data.unionid = user.unionid;
    Api.fetchPost(url, data, (err, res) => {
      wx.setStorageSync('data', res)
    })
    // })
    var user = wx.getStorageSync('user');
    var data = {};
    data.openid = user.openid;
    data.gold = e.money;
    // 添加参数
    var url = Api.HOST + 'wechat.php?s=Home/payrecord';
    Api.fetchPost(url, data, (err, res) => {
      if (res.ret == 1) {
        var payargs = res.info.parameter;
        wx.requestPayment({
          timeStamp: payargs.timeStamp,
          nonceStr: payargs.nonceStr,
          package: payargs.package,
          signType: payargs.signType,
          paySign: payargs.paySign,
          success: function (res) {
            var data1 = {};
            // 用户的openID 支付钱数  咨询师的unitID 微信的字符串认证
            data1.openid = user.openid;
            data1.gold = e.money;
            data1.unitid = e.unitid;
            data1.payargs = res.errMsg;
            data1.type = 0;
            data1.g_id = g_id;
            // 咨询师的id
            var url = Api.HOST + 'wechat.php?s=Home/paycs';
            Api.fetchPost(url, data1, (err, res) => {
              that.loaditem(e, g_id);
            });
          },
          fail: function (res) {
            // console.log(res,'shibai')
            wx.switchTab({
              url: '/pages/index/index',
            })
          }
        })
      } else {
        Api.alert(res.msg);
      }
    });
  },
  // formSubmit: function (e) {
  // 	var that = this;
  // 	console.log('sssss', that.data.jobnumber)
  // 	let url = Api.HOST + 'wechat.php?s=/Home/back_greeting';
  // 	let url2 = Api.HOST + 'wechat.php?s=/Home/add_fromid';
  // 	var user = wx.getStorageSync('user');
  // 	var data = {
  // 		job_number: that.data.jobnumber,
  // 		name: that.data.username
  // 	};
  // 	var data2 = {
  //     openid: user.openid,
  //     fromid: e.detail.formId
  //   };
  // 	Api.fetchPost(url2, data2, (err, res) => {
  //     // console.log('formSubmit', res)
  //   });
  // 	Api.fetchPost(url, data, (err, res) => {
  // 		if (res.ret == 0) {
  // 			wx.showToast({
  // 				title: res.msg,
  // 				icon: 'none',
  // 				duration: 2000
  // 			})
  // 		} else if (res.ret == 1) {
  // 			wx.showModal({
  // 				title: '',
  // 				showCancel: false,
  // 				confirmText: '下一步',
  // 				confirmColor: '#37c0b8',
  // 				content: res.msg,
  // 				success(res) {
  // 					if (res.confirm) {
  // 						console.log('用户点击确定')
  // 						that.submit();
  // 					} else if (res.cancel) {
  // 						console.log('用户点击取消')
  // 					}
  // 				}
  // 			})
  // 		}
  // 	});
  // },
  //获取formid
  formSubmit: function (e) {
    console.log(e.detail.formId)
    var that = this;
    let url = Api.HOST + 'wechat.php?s=/Home/add_fromid';
    var user = wx.getStorageSync('user');
    var data = {
      openid: user.openid,
      fromid: e.detail.formId
    };
    Api.fetchPost(url, data, (err, res) => {
      // console.log('formSubmit', res)
    });
  },
  /**
   * 自定义函数---加载量表数据
   * 参数e--- measure_id---量表id
   * money--量表支付的钱
   * status---是否允许查看报告
   * is_type---是否免费检测
   * 
   * */
  loaditem(e) {
    // console.log(e,'this is e')
    let that = this;
    var user = wx.getStorageSync('user');
    var data = {};
    var urlt = Api.HOST + 'wechat.php?s=Measure/up_price';
    data.z_openid = user.openid;
    data.t_openid = e.t_openid;
    data.g_time = e.g_time || e.time;
    Api.fetchPost(urlt, data, (err, res) => {
      that.setData({
        show: true,
        bid: res[0]
      })
      if (res[0]) {
        that.setData({
          lb_id: res[0]
        })
        var lb_descript = {
          id: res,
          desc: e
        }
        wx.setStorageSync("lb_descript", lb_descript);
        var url = Api.HOST_xinli_lb + 'yiyuan/measure/' + res[0] + '.json';
        var data = {};
        data.measure_id = res[0];
        Api.fetchGetN(url, (err, res) => {
          // clearTimeout(loadingPhoto)
          wx.hideLoading()
          that.setData({
            content: res[0].measure_desc,
            title1: res[0].measure_name,
            measure_id: data.measure_id
          })
          res[0].measure_id = data.measure_id;
          wx.setStorageSync('lb_swiper_con', res)
          if (res[0].type == 1) {} else if (Number(res[0].type) == 3) {
            //  瑞文
            that.setData({
              lb_tz: 3
            })
            var obj = {
              res: res,
              talp: 1
            }
            wx.setStorageSync('liangbiaoCon', obj)
          } else {
            that.setData({
              lb_tz: 0
            })
            var obj = {
              res: res,
              talp: 1
            }
            wx.setStorageSync('liangbiaoCon', obj)
          }
          wx.setStorageSync('lb_tz', -1)
        })
      } else {
        wx.hideLoading()
        wx.showModal({
          title: '提示',
          // cancelText: '取消',
          confirmText: '确定',
          content: "这是他评量表，由医生负责评估，请联系您的医生开始测试。",
          success: function (res) {
            if (res.confirm) {
              wx.switchTab({
                url: '/pages/index/index',
              })
            } else if (res.cancel) {
              wx.switchTab({
                url: '/pages/index/index',
              })
            }
          }
        })
      }
    })
  },
  cmi: function () {
    // console.log(0)
    var lb_swiper_con = wx.getStorageSync('lb_swiper_con');
    var liangbiaoCon = wx.getStorageSync('liangbiaoCon');
    var _len = Object.getOwnPropertyNames(liangbiaoCon.res[1])
    // console.log(_len.length != 2, _len.length,'/////////////')
    if (_len.length != 2) return;
    if (this.data.sex == '女') { //  女 == 1 男 === 2
      liangbiaoCon.res[1] = liangbiaoCon.res[1][1];
      lb_swiper_con[1] = lb_swiper_con[1][1];
    } else {
      liangbiaoCon.res[1] = liangbiaoCon.res[1][2];
      lb_swiper_con[1] = lb_swiper_con[1][2];
    }
    wx.setStorageSync('liangbiaoCon', liangbiaoCon);
    wx.setStorageSync('lb_swiper_con', lb_swiper_con);
  },
  submit: function () {
    var that = this;
    if (this.data.measure_id == 86) {
      that.cmi();
    }
    that.verify((verify) => {
      if (that.data.payInfo) {
        if (that.data.is_yzm == 1 && verify.ret != 1) {
          wx.showToast({
            title: verify.info,
            icon: 'none',
            duration: 2000
          })
          return;
        } else {
          var user = wx.getStorageSync('user');
          var unitid = wx.getStorageSync('data').unitid;
          var allScore = wx.getStorageSync("testData");
          var jifen = wx.getStorageSync("scoreData");
          var time01 = wx.getStorageSync("time01");
          var authorize = wx.getStorageSync("weiLb");
          // let data1 = { user_number: user.openid };
          var urlt = Api.HOST + 'wechat.php?s=Home/stinfo_two';
          var data = {};
          var itemData = wx.getStorageSync("itemData");
          data.characters_id = authorize.characters_id ? authorize.characters_id : authorize.record_id;
          data.unitid = unitid ? unitid : '';
          data.openid = user.openid;
          data.name = that.data.username; //姓名
          data.sex = that.data.sex; //性别
          data.birthday = that.data.date; // 年龄
          data.jobnumber = that.data.jobnumber; //工号
          data.sheqvNumber = that.data.sheqvNumber;
          data.workNumber = that.data.workNumber;
          if (that.data.is_yzm == 1) {
            data.yzm = that.data.yzm;
          }
          // 新添加学历功能
          data.edu = that.data.index;
          if (that.data.unitid == '1311') {
            data.giveBirth = that.data.select3; //生育情况
            data.jobtitle = that.data.select4; //职称
            data.jobDuty = that.data.select5; //工作职务
            data.jobYears = that.data.select6; //工作年限
          }
          if (that.data.unitid == '1325'||that.data.unitid == '974') {
            data.grade = that.data.grade; //年级
            data.classGrade = that.data.classGrade; //班级
          }
          if (that.data.bid == '714' || that.data.bid == '713') {
            data.politicsStatus = that.data.politicsStatus; //政治面貌 
            data.unitTime = that.data.unitTime; //进入单位时间
            data.jobNature = that.data.jobNature[that.data.jobSelect];
            data.postLevel = that.data.postLevel[that.data.postSelect];
          }
          if (that.data.hosiptiaFlag) { // 非池州市人民医院
            data.hunfou = that.data.select; // 婚姻状况
            data.ask_department = that.data.username1; // 单位名称
            data.usernumber = that.data.usernumber; //编号
            data.personnelclass = that.data.select2; //人员类别
          } else { // 池州市人民医院
            data.fage = that.data.fage; // 父亲年龄
            data.foccupation = that.data.foccupation; //父亲职业
            data.fdegree = that.data.fdegree; //父亲文化程度
            data.mage = that.data.mage; // 母亲年龄
            data.moccupation = that.data.moccupation; //母亲职业
            data.mdegree = that.data.mdegree; //母亲文化程度
            data.house = that.data.home; //家庭类型
          }
          if (that.data.hosiptiaFlag) { // 非池州市人民医院
            //1018为施乐体检医院提交的信息
            if (that.data.unitid == 1018) {
              if (data.name == '' || data.jobnumber == '') {
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            } else if (that.data.bid == '714' || that.data.bid == '713') {
              data.politicsStatus = that.data.politicsStatus; //政治面貌 
              data.unitTime = that.data.unitTime; //进入单位时间
              data.jobNature = that.data.jobNature[that.data.jobSelect];
              data.postLevel = that.data.postLevel[that.data.postSelect];
              if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.politicsStatus == "" || data.politicsStatus == 'null' || data.unitTime == "" || data.unitTime == 'null' || data.jobNature == "请选择" || data.postLevel == "请选择") {
                // wx.hideLoading()
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            } else if (that.data.unitid == '1282') {
              if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.personnelclass == 0 || data.ask_department == '' || data.ask_department == 'null' || data.usernumber == '' || data.hunfou == 0) {
                // wx.hideLoading()
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            } else if (that.data.unitid == '1311' ) {
              console.log("data", data)
              if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.giveBirth == 0 || data.jobtitle == 0 || data.jobDuty == 0 || data.jobYears == 0) {
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            }  else if (that.data.unitid == '1325'||that.data.unitid == '974' ) {
              console.log("data", data)
              if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.grade == 'null' || data.grade =='' || data.classGrade == 'null' || data.classGrade == '') {
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            }else {
              if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0) {
                // wx.hideLoading()
                clearTimeout(timer1)
                that.setData({
                  payInfo: true
                })
                Api.alert('请完善信息');
                return;
              }
            }
          } else {
            // console.log(data,'sdata');
            if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.fage.length < 1 || data.foccupation.length < 1 || data.fdegree.length < 1 || data.mage.length < 1 || data.moccupation.length < 1 || data.mdegree.length < 1 || data.house.length < 1) {
              // wx.hideLoading()
              clearTimeout(timer1)
              that.setData({
                payInfo: true
              })
              Api.alert('请完善信息');
              return;
            }
            if (Number(data.mage) < 18 || Number(data.fage) < 18 || Number(data.mage) > 100 || Number(data.fage) > 100) {
              that.setData({
                payInfo: true
              })
              Api.alert('请输入合理的年龄');
              return;
            }
          }
          var timer1 = setTimeout(function () {
            // Api.alert("加载失败，请重试")
            wx.hideLoading()
            that.setData({
              payInfo: true
            })
          }, 5000)
          this.setData({
            payInfo: false
          })
          wx.showLoading({
            title: '请稍后',
            mask: true
          })
          var judgeSex = 0;
          if (data.sex == '男') {
            judgeSex = 1;
          }
          wx.setStorageSync("judgeSex", judgeSex);
          Api.fetchPost(urlt, data, (err, res) => {
            wx.hideLoading()
            clearTimeout(timer1)
            if (res.ret == 1) {
              if (that.data.otype == 0 && that.data.lb_tz == '-1') {
                wx.navigateTo({
                  // url: '/pages/swiper/swiper?otype=11',
                  url: '/pages/dati04/dati04?otype=11',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == 10) {
                // 防御方式
                wx.navigateTo({
                  url: '/pages/dati/dati',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (that.data.lb_tz == '3') {
                // 瑞文
                wx.navigateTo({
                  url: '/pages/dati03/dati03',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == '647') {
                wx.navigateTo({
                  url: '/pages/dati05/dati05?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == '654' || Number(that.data.lb_id) == '655' || Number(that.data.lb_id) == '722') {
                wx.navigateTo({
                  url: '/pages/dati06/dati06?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else {
                wx.navigateTo({
                  url: '/pages/dati04/dati04?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              }

            } else {
              Api.alert(res.msg, function () {
                that.setData({
                  payInfo: true
                })
              });
            }
          });
        }
      }
    })
  },
  /**
   * 自定义函数---加载数据
   * */
  loadData() {
    var that = this;
    // 获取授权  上传头像昵称  得到这个用户的信息
    // var url = Api.HOST + 'wechat.php?s=Home/getinfo_two';
    var url = Api.HOST + 'wechat.php?s=Home/getinfo';
    var data = {};
    var user = wx.getStorageSync('user');
    var authorize = wx.getStorageSync('weiLb');
    if (this.data.tplb != '1') {
      data.openid = user.openid;
      data.characters_id = authorize.characters_id ? authorize.characters_id : authorize.record_id;

    } else {
      // data.openid = user.openid;
      var info = wx.getStorageSync('tplbDetail');
      data.openid = info.z_openid;
      data.characters_id = authorize.characters_id ? authorize.characters_id : authorize.record_id;
    }
    Api.fetchPost(url, data, (err, res) => {
      if (that.data.unitid == '1018') {
        if (that.data.ishow.ishow != 1) {
          this.setData({
            hidden: false
          });
        }
      }
      if (res.info) {
        if (res.info.cultural == '') {
          res.info.cultural = 0;
        } else {
          res.info.cultural = res.info.cultural ? res.info.cultural : res.info.edu;
        }
        if (!res.info.birthday) {
          res.info.birthday = "请选择";
        } else {
          res.info.birthday = res.info.birthday;
        }
        var essentialData = {}
        if (res.info.essential_information) {
          essentialData = JSON.parse(res.info.essential_information);
        }
        wx.setStorageSync('userInfo', res.info)
        if (!that.data.hosiptiaFlag) {
          that.setData({
            username: res.info.name ? res.info.name : '',
            usernumber: essentialData.usernumber ? essentialData.usernumber : '',
            index: res.info.cultural,
            date: res.info.birthday,
            sex: res.info.xingbie,
            home: res.info.house, // 家庭类型
            fage: res.info.fage, // 父亲年龄
            foccupation: res.info.foccupation, //父亲职业
            fdegree: res.info.fdegree, //父亲文化程度
            mage: res.info.mage, // 母亲年龄
            moccupation: res.info.moccupation, //母亲职业
            mdegree: res.info.mdegree, //母亲文化程度
            jobnumber: res.info.jobnumber ? res.info.jobnumber : '', //工号
            yzm: that.data.is_yzm == 1 ? essentialData.yzm : ''
          });
        } else {
          that.setData({
            username: res.info.name,
            usernumber: essentialData.usernumber ? essentialData.usernumber : '',
            index: res.info.cultural,
            date: res.info.birthday,
            sex: res.info.xingbie,
            select: res.info.hunfou,
            select2: essentialData.personnelclass ? essentialData.personnelclass : 0,
            username1: res.info.ask_department,
            jobnumber: res.info.jobnumber ? res.info.jobnumber : '', //工号
            yzm: that.data.is_yzm == 1 ? essentialData.yzm : ''
          });
          //怀集
          if (that.data.unitid == '1311') {
            console.log("essentialData", essentialData)
            that.setData({
              select3: Number(essentialData.giveBirth) ? Number(essentialData.giveBirth) : 0,
              select4: Number(essentialData.jobtitle) ? Number(essentialData.jobtitle) : 0,
              select5: Number(essentialData.jobDuty) ? Number(essentialData.jobDuty) : 0,
              select6: Number(essentialData.jobYears) ? Number(essentialData.jobYears) : 0,
            });
          }
          if (that.data.unitid == '1325'||that.data.unitid == '974') {
            console.log("essentialData", essentialData)
            that.setData({
              grade : essentialData.grade||'', //年级
              classGrade : essentialData.classGrade||'' //班级
            });
          }
          if (that.data.bid == '714' || that.data.bid == '713') {
            that.setData({
              politicsStatus: essentialData.politicsStatus,
              unitTime: essentialData.unitTime,
              jobSelect: that.data.jobNature.indexOf(essentialData.jobNature),
              postSelect: that.data.postLevel.indexOf(essentialData.postLevel),
            });
          }
        }
      }
    });
  },
  onUnload() {},
  // 时间转换
  resTime: function (str) {
    var hour = str.split(":")[0];
    var minute = str.split(":")[1];
    var sec = str.split(":")[2];
    return (hour * 3600 + minute * 60 + sec);
  },
  fengei: function (str) {
    return str.split(',');
  },
  // 数组求和
  add: function (arr) {
    var num = 0;
    for (let i = 0; i < arr.length; i++) {
      num += Number(arr[i]);
    }
    return num;
  },
  inputChange: function (e) {
    this.setData({
      username: e.detail.value,
    })
  },
  inputjobnumber: function (e) {
    this.setData({
      jobnumber: e.detail.value,
    })
  },
  people: function (e) {
    this.setData({
      multiIndex: e.detail.value
    })
  },

  //性别
  radioChange: function (e) {
    this.setData({
      sex: e.detail.value,
    })
  },
  //日期
  bindDateChange: function (e) {
    this.setData({
      date: e.detail.value
    })
  },
  // 学历
  bindPickerChange: function (e) {
    var num = e.detail.value;
    this.setData({
      index: num
    })
  },
  //政治面貌
  inputPolitics: function (e) {
    var val = e.detail.value;
    this.setData({
      politicsStatus: val
    })
  },
  //进入单位时间
  bindUnitTime: function (e) {
    var val = e.detail.value;
    this.setData({
      unitTime: val
    })
  },
  // 婚姻状况
  bindPickerChange1: function (e) {
    var num = e.detail.value;
    this.setData({
      select: num
    })
  },
  //人员类别
  bindPickerChange2: function (e) {
    var num = e.detail.value;
    this.setData({
      select2: num
    })
  },
  //生育情况
  bindPickerChange3: function (e) {
    var num = e.detail.value;
    this.setData({
      select3: num
    })
  },
  //职称
  bindPickerChange4: function (e) {
    var num = e.detail.value;
    this.setData({
      select4: num
    })
  },
  //工作职务
  bindPickerChange5: function (e) {
    var num = e.detail.value;
    this.setData({
      select5: num
    })
  },
  //工作年限
  bindPickerChange6: function (e) {
    var num = e.detail.value;
    this.setData({
      select6: num
    })
  },
  bindPickerJob: function (e) {
    var num = e.detail.value;
    this.setData({
      jobSelect: num
    })
  },
  bindPickerPost: function (e) {
    var num = e.detail.value;
    this.setData({
      postSelect: num
    })
  },
  // 单位名称
  inputChange1: function (e) {
    this.setData({
      username1: e.detail.value,
    })
  },
  inputChange3: function (e) {
    this.setData({
      sheqvNumber: e.detail.value,
    })
  },
  inputChange4: function (e) {
    this.setData({
      workNumber: e.detail.value,
    })
  },
  inputChange5: function (e) {
    this.setData({
      grade: e.detail.value,
    })
  },
  inputChange6: function (e) {
    this.setData({
      classGrade: e.detail.value,
    })
  },
  inputyzm: function (e) {
    this.setData({
      yzm: e.detail.value,
    })
  },
  //编号
  inputChange2: function (e) {
    this.setData({
      usernumber: e.detail.value,
    })
  },
  // 下拉刷新
  onPullDownRefresh: function () {
    wx.stopPullDownRefresh()
  },
  fage(e) {
    this.setData({
      fage: e.detail.value
    })
  },
  foccupation(e) {
    this.setData({
      foccupation: e.detail.value
    })
  },
  fdegree(e) {
    this.setData({
      fdegree: e.detail.value
    })
  },
  mage(e) {
    this.setData({
      mage: e.detail.value
    })
  },
  moccupation(e) {
    this.setData({
      moccupation: e.detail.value
    })
  },
  mdegree(e) {
    this.setData({
      mdegree: e.detail.value
    })
  },
  // 困难
  radioChangeHelp: function (e) {
    this.setData({
      home: e.detail.value
    })
  },
  //验证码验证是否正确
  verify(c) {
    var that = this;
    var url = Api.HOST + "wechat.php?s=/Measure/is_randoms";
    var data = {
      g_id: wx.getStorageSync('g_id'),
      unitid: wx.getStorageSync('weiLb').unitid,
      yzm: that.data.yzm,
      openid: wx.getStorageSync('user').openid
    }
    Api.fetchPost(url, data, (err, res) => {
      c(res);
    })
  }
})