// pages/qrlist/qrlist.js
var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    btn_2: 0,
    arr: [],
    title:'a',
    src_1: '',
    er: '',
    act:"1",
    flag:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var er = wx.getStorageSync('erweima');
    this.setData({
      er: er
    })
    wx.request({
      // url: 'http://www.kt.com/wechat.php?s=/Vip/isSetQrcode',
      url: Api.HOST+'wechat.php?s=/Vip/isSetQrcode',
      success: function (res) {
        // console.log(res.data.data.imgpath, '333')
        // console.log(res.data.data.imguser, '22333')
        var img = [];
        var src = res.data.data.imgpath;
        var host = Api.HOST;
        for (let i = 0; i < src.length; i++) {
          img[i] = that.dealPho(src[i], host);
        }
        
        that.struct(img, res.data.data.imguser);
      }
    })

  },
  struct(s,t) {
 
    var arr = [];
    for (let i = 0; i < s.length; i++) {
      var json = {
        src: s[i],
        title: t[i]
      }
      arr.push(json);
    }
    console.log(arr)
    this.setData({
      arr: arr
    })
  },
  dealPho(str, host) {
    return str.replace(".", host);
  },

  // 保存图片到本地
  savePho: function () {
    wx.showLoading({
      title: '正在保存',
      icon: 'loading',
    })
    // if (wx.canvasToTempFilePath) {
    //   wx.canvasToTempFilePath()
    //   // console.log("canvasToTempFilePath")
    // } else {
    //   // 如果希望用户在最新版本的客户端上体验您的小程序，可以这样子提示
    //   wx.showModal({
    //     title: '提示',
    //     content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
    //   })
    // }
    console.log('lllll');
    var that = this;
    if (that.data.flag) {
      that.setData({ act: 0, flag: false });
      wx.getSystemInfo({
        success: (res) => {
          console.log('-----')
          var winW = res.windowWidth;
          winW = winW;
          wx.canvasToTempFilePath({
            x: 0,
            y: 0,
            width: winW,
            height: 420,
            canvasId: 'canv',
            // canvasId: 'can',
            success: function (res) {
              console.log('===')
              var imgSrc = res.tempFilePath;
              wx.saveImageToPhotosAlbum({
                filePath: imgSrc,
                success: function (res) {
                  wx.hideLoading()
                  wx.showToast({
                    title: '保存成功',
                    icon: 'success',
                    duration: 1000
                  })
                },
                fail: function () {
                  wx.showToast({
                    title: '保存失败',
                    icon: 'success',
                    duration: 300
                  })
                },
                complete: function () {
                  that.setData({ act: 1, flag: true });
                }
              })
            },
            fail: function () {
            },
            complete: function () {
            }
          })
        }
      })
    }
  },


  /**
   * 自定义函数--更多样式
   * 
   * */
  moreStyle(e) {
    let that = this;
    console.log(e)
    var title = e.currentTarget.dataset.title;
    console.log(title)
    if (this.data.btn_1 == '1') {
      this.setData({
        btn_2: 0,
        // title: title
      })
    } else {
      this.setData({
        btn_2: 1,
        title: title
      })
    }
    var src = e.currentTarget.dataset.src;
    console.log(e)
    var er = wx.getStorageSync('erweima');
    that.main(er, src);
    // this.setData({
    //   src_1:src
    // })

  },
  // 合并图片
  main(s, str) {
    let that = this;
    var ctx = wx.createCanvasContext('canv')
    var str1 = s;
    wx.downloadFile({
      url: str,
      success: function (res) {
        var imgSrc = res.tempFilePath;
        that.setData({
          src_1: imgSrc
        })
        wx.downloadFile({
          url: s,
          success: function (res) {
            var src = res.tempFilePath;
            wx.hideLoading()
            wx.getSystemInfo({
              success: (res) => {
                var winW = res.windowWidth*0.92;
                ctx.drawImage(that.data.src_1, 0, 0, winW, winW*1.07)
                ctx.draw()
                ctx.drawImage(src, (winW / 2 - 70), (winW * 1.07/2-70), 140, 140)
                ctx.draw(true)
              }
            })
          }
        })
      }
    });

  },
  warp(e) {
  
    this.setData({
      btn_2: 0
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

})