var WxParse = require('../../wxParse/wxParse.js');
var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */ 
  data: {
    src: '',
    articleTitle: '', //文章的标题
    minute: '00', //播放的分钟数
    second: '00', //播放的秒数
    hid: false, //控制音乐标签是否显示
    timehid: false, //控制时间的显示隐藏
    play: false, //控制播放额暂停
    // poster: 'http://y.gtimg.cn/music/photo_new/T002R300x300M000003rsKF44GyaSk.jpg?max_age=2592000',
    name: '', //音乐名称
    author: '', //音乐的作者
    audiosrc: '', //音乐的链接
    // imgsrc: 'http://static.xiaodongai.com/xiaodongai/kongtian/Uploads/hospital/2018-04-28/5ae3e17cb2843.gif',
  //  imgsrc: 'http://static.xiaodongai.com/xiaodongai/kongtian/Uploads/hospital/2018-04-25/5adfeb64bbe52.gif',
   imgsrc: '',
   //大图的链接
    printTime: '',
    xiao:""
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var id = options.id;  //从父级页面传递过来的内容的下标
    console.log(id)
    // var res = wx.getStorageSync("isshouye");
    // +++++++++++++++++++++++++++
    // var url = Api.HOST_info + 'wechat.php?s=Home/content_detail';
    var url = Api.HOST_Linux + 'wechat.php?s=Home/content_detail';
    var data = {};
    data.id = id;
    Api.fetchPost(url, data, (err, res) => {  //调用内部接口，获取所有的内容，通过下标筛选内容
      let src = res.content
      let title = res.title
      let audiosrc = ''
      let imgsrc = ''
      let name = res.music_title
      let author = res.music_author
      let printTime = Api.timestampToTimeN(res.createtime)
      let xiao = res.str
      if (res.music_src) {
        audiosrc = Api.HOST_Linux + res.music_src.substr(2)
      }
      if (res.content_img) {
        // +++++++++++++++++++++++++++++
        imgsrc = Api.HOST_P_K + res.content_img.substr(2)
        // imgsrc = Api.HOST_info + res.content_img.substr(2)
      }
      
      wx.setNavigationBarTitle({
        title: '小懂健康'
      })

      this.setData({
        articleTitle: title,
        audiosrc: audiosrc,
        name: name,
        author: author,
        imgsrc: imgsrc,
        printTime: printTime,
        xiao:xiao
      })

      var article = src;
      WxParse.wxParse('article', 'html', article, this, 5);
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    this.audioCtx = wx.createAudioContext('myAudio')
  },
  audioPayHandle:function(){
    if (!this.data.play){
      this.audioCtx.play()
      this.setData({
        play: true,
        timehid: true
      })
    } else {
      this.audioCtx.pause()
      this.setData({
        play: false,
        timehid: false
      })
    }
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },
  // 播放进度发生改变的时候触发
  bindchange: function (e) {
    console.log(e)
    let time = parseInt(e.detail.currentTime)
    let lastTime = parseInt(e.detail.duration) - parseInt(e.detail.currentTime)
    let minute = this.formatTime(parseInt(lastTime / 60))
    let second = this.formatTime(parseInt(lastTime % 60))
    console.log(minute + ":" + second)
    this.setData({
      minute: minute,
      second: second
    })
  },
  
  // 自定义函数，格式化时间
  formatTime: function (time) {
    if (time < 10) {
      time = "0" + time
    }
    return time
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  },

})