var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tel:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    wx.setNavigationBarTitle({
      title: "心理CT系统"
    })
    var user = wx.getStorageSync('user');
    var data = {};
    data.openid = user.openid;

    var url1 = Api.HOST + 'wechat.php?s=Home/isFenXiang';
    data.typea = 9;
    Api.fetchPost(url1, data, (err, res) => {
      console.log(res, 'res')
      var host = Api.HOST;
      var imgSrc = that.dealPho(res.res.imgpath[0], host);
      that.setData({ imgSrc: imgSrc,tel:res.res.phone })
    })
  },
  dealPho(str, host) {
    return str.replace("./", host);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  phone: function () {
    let that = this;
    wx.makePhoneCall({
      phoneNumber: that.data.tel //仅为示例，并非真实的电话号码
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var user = wx.getStorageSync("user");
    if (user) {
      var url1 = Api.HOST + 'wechat.php?s=Home/hospital';
      var data1 = {};
      if (user.unitid) {
        data1.unitid = user.unitid;
        Api.fetchPost(url1, data1, (err, res) => {
          // console.log(res, 'lll')
          wx.setStorageSync('hospital', res)
          if (res && res.type == 1) {
            wx.switchTab({
              url: '/pages/index/index',
            })
          }

        })
      }
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

})