var Api = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    price: '',
    items: [
      { name: '是', value: '是' },
      { name: '否', value: '否' },
    ],
    inp_m: '',
    hidden: true,
    nocancel: true,
    hid: 1,
    check_mf: '',
    check_m: '',
    flag: true,
    btn: "",
    min_mon: '',
    tiyanjin: false,
    tiyanjin1: true,
    tiyanjin2: false,
    status: '',
    tyj_money: '',
    pay: 1,
    inpDis: true,
    tiyanjin2_1:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var url = Api.HOST + 'Wechat.php/Home/isGetInfo';
    var data = {};
    let that = this;
    var p_data = wx.getStorageSync('data');
    var lbtijiao = wx.getStorageSync('lbtijiao');
    // console.log(typeof (Number(p_data.loadmoney)),'p_data.loadmoney')
    that.setData({
      check_m: p_data.loadmoney,
      hid: p_data.is_test,
      check_mf: p_data.is_test,
      price: lbtijiao.money,
      tyj_money: p_data.experience_gold,
    });
    wx.setNavigationBarTitle({
      title: "支付方式"
    })
  },
  confirm: function () {
    this.setData({
      nocancel: this.data.nocancel,
      hidden: true
    });
  },
  goCheck() {
    if (this.data.hid == true) {
      this.setData({
        hid: !this.data.hid,
        check_mf: 0
      })
    } else {
      this.setData({
        hid: !this.data.hid,
        check_mf: 1
      })
    }

  },
  // 价格
  inputChange: function (e) {
    this.setData({
      price: e.detail.value,
      inp_m: e.detail.value,
    })
  },
  // 提交
  submit: function () {
    var p_data = wx.getStorageSync('data');
    var that = this;
    if (Number(that.data.price) <1){
      Api.alert('设置金额不小于1元')
      return;
    }
    if (Number(that.data.status) == 0) {
      var lbtijiao = wx.getStorageSync('lbtijiao');
      lbtijiao.money = that.data.price;
      console.log(that.data.price,'that.data.price')
      lbtijiao.status = 0;
      wx.setStorageSync('lbtijiao', lbtijiao)
      wx.reLaunch({
        url: '/pages/QRcode/QRcode?type=1',
      })
    }else{
      var user = wx.getStorageSync('user');
      var urlt = Api.HOST + 'Wechat.php/Home/glodmoney';
      var data = {};
      data.openid = user.openid;
      data.glodmoney = this.data.price;
      if (this.data.tiyanjin) {
        data.type = 2;
      } else {
        data.type = 1;
      }
      Api.fetchPost(urlt, data, (err, res) => {
        // 返回1 提交成功   否则  单条测试金额小于钱包余额
        if (res == 1) {
          // var lbmoney = that.data.price;
          // wx.setStorageSync("lbmoney", lbmoney)
          var pages = getCurrentPages();
          var prevPage = pages[pages.length - 2];
          prevPage.setData({
            lbmoney: that.data.price,
            check_mf: true,
            status: that.data.status
          })
          if (Number(that.data.status) == 1) {
            var lbtijiao = wx.getStorageSync('lbtijiao');
            lbtijiao.money = that.data.price;
            lbtijiao.status = 1;
            wx.setStorageSync('lbtijiao', lbtijiao)
            wx.reLaunch({
              url: '/pages/QRcode/QRcode?type=1',
            })
          } else if (Number(that.data.status) == 2) {
            var lbtijiao = wx.getStorageSync('lbtijiao');
            lbtijiao.money = that.data.price;
            lbtijiao.status = 2;
            wx.setStorageSync('lbtijiao', lbtijiao)
            wx.reLaunch({
              url: '/pages/QRcode/QRcode?type=1',
            })
          }
        } else {
          that.setData({
            hidden: false
          })
        }
      });
    }
  },
  phonenumber(e) {
    console.log(e)
    var num = Number(e.detail.value);
    this.setData({
      price: num,
    })
    console.log(e.detail.value, num, 'e.detail.value')
    var p_data = wx.getStorageSync('data');
    var loadmoney = Number(p_data.loadmoney);
    var mf_check = Number(this.data.check_mf);
    if (Number(this.data.status) == 2) {
      console.log('status)2')
      var btnflag = true;
      if (Number(p_data.experience_gold) > num && num >= 1) {
        btnflag = false;
      } else if (num <= Number(p_data.experience_gold)) {
        btnflag = false;
      }
      this.setData({
        btn: btnflag,
        // price: e.detail.value,
      })
    } else if (Number(this.data.status) == 1) {
      console.log('status)1')
      if (mf_check == 1) {
        if (Number(num) >= 1 && loadmoney - num >= 0) {
          this.setData({
            btn: false,
            min_mon: false
          })
        } else {
          this.setData({
            btn: true,
            min_mon: true
          })
        }
      } else if (mf_check == 0) {
        if (Number(num) < 1 || Number(num) > 10000) {
          this.setData({
            btn: true,
            min_mon: true
          })
        } else {
          this.setData({
            btn: false,
            min_mon: false
          })
        }
      }
      var btnflag = true;
      if (Number(p_data.loadmoney) >= num && num >= 1) {
        btnflag = false;
      } else {
        btnflag = true;
      }
      console.log(e.detail.value, num, 'e.detail.value')
      this.setData({
        // price: e.detail.value,
        inp_m: e.detail.value,
        btn: btnflag
      })
    }
  },
  tiyanjin: function () {
    var p_data = wx.getStorageSync('data');
    // if (Number(p_data.experience_gold) < 1)
    //   return;
    var status = 2;
    var btnflag = '';
    if (Number(p_data.glodmoney) > Number(p_data.experience_gold) || Number(p_data.glodmoney) < 1) {
      btnflag = true;
    } else {
      btnflag = false;
    }
    var tiyanjinPrice = this.data.tiyanjinPrice ? Number(this.data.tiyanjinPrice):1;
    // console.log(tiyanjinPrice,'tiyanjinPrice')
    this.setData({
      tiyanjin: true,
      status: status,
      btn: btnflag,
      tiyanjin1: false,
      tiyanjin2: false,
      inpDis: false,
      price: tiyanjinPrice,
      pay:3
    })
  },
  tiyanjin1: function () {
    var lbtijiao = wx.getStorageSync('lbtijiao');
    var price = this.data.price
    this.setData({
      tiyanjin: false,
      tiyanjin1: true,
      tiyanjin2: false,
      inpDis: true,
      // price: price,
      price: lbtijiao.money,
      status: 0,
      pay:1
    })
  },
  tiyanjin2: function () {
    console.log('s')
    var lbtijiao = wx.getStorageSync('lbtijiao');
    // if (Number(this.data.check_m) < 1)
    // return;
    var p_data = wx.getStorageSync('data');
      this.setData({
        tiyanjin: false,
        tiyanjin1: false,
        tiyanjin2: true,
        inpDis: false,
        price: lbtijiao.money,
        status: 1,
        pay:2
      })
  },
  onShow:function(){
    let that = this;
    var url1 = Api.HOST + 'wechat.php?s=Home/isFenXiang';
    var data1 = {};
    data1.typea = 1;
    Api.fetchPost(url1, data1, (err, res) => {
      console.log(res, 'res')
      that.setData({tiyanjinPrice:res.res.examfee})
    })
  }
})