// pages/demo/demo.js
var Api = require('../../utils/api.js');
var util = require('../../utils/util.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: 0,
    winH:'',
    winW:'',
    disab:true,
    current:1,
    flag:true,
    animationData:{},
    item: {
      answer: [],
      con: '',
      active: -1,
      num: '',
      add: '',
      lb_id: '',
      time: '',
    },
  },
  onLoad: function(options){
    var otype = options.otype;
    
    var answer_swiper = wx.getStorageSync('answer_swiper');
    var swiper_arr = wx.getStorageSync('swiper_arr');
    var lb_descript = wx.getStorageSync('lb_descript'); 
    var yanzhengid = wx.getStorageSync('yanzhengid');
    let len = answer_swiper != '' ? (answer_swiper.answer.length < swiper_arr[1].length ? answer_swiper.answer.length : swiper_arr[1].length-1):0;
    if (otype && otype == 11) {
      var qufentime = wx.getStorageSync('qufentime');
      if (len > 0 && yanzhengid == qufentime) {
        var item = swiper_arr[1][len]
        this.setData({
          item: item,
          current: len,
          all: swiper_arr[1].length
        })
      } else { 
        this.loadData();
      }
    } else {
      if (len > 0 && yanzhengid == lb_descript.desc.record_id) {
        var item = swiper_arr[1][len]
        this.setData({
          item: item,
          current: len,
          all: swiper_arr[1].length
        })
      } else {
        this.loadData();
      }
    }
    
    
  },
  loadData: function(){
    var lb_swiper_con = wx.getStorageSync('lb_swiper_con');
    var lb = lb_swiper_con[1];
    var arr = [];
    var an=['A.','B.','C.','D.','E.','F.','G.','H.','I.'];
    let zimu=[];
    for (let j in lb) {
      let le = lb[j].quesion_answer.split(',').length;
      var obj = {
        con: lb[j].quesion_title,
        answer: lb[j].quesion_answer.split(','),
        score: lb[j].quesion_score.split(','),
        zimu:an
      }
      arr.push(obj)
    }
    var swiper_arr = [
      lb_swiper_con[0],arr
    ]
    wx.setStorageSync('swiper_arr', swiper_arr);
    var lb_swiper_con = wx.getStorageSync('lb_swiper_con');
    var answerData = {
      score: [],
      answer: [],
      id: lb_swiper_con[0].measure_id
    }
    var yanzhengid = -1;
    wx.setStorageSync('answer_swiper', answerData);
    wx.setStorageSync('yanzhengid', yanzhengid);
    var timeArr = [];
    wx.setStorageSync("timeArr", timeArr);
    // wx.removeStorageSync('lb_swiper_con')
    var item = swiper_arr[1][0]
    this.setData({
      all:arr.length,
      current:0,
      item:item
    }); 
    wx.setNavigationBarTitle({
      title: swiper_arr[0].measure_name
    });
  },
  selectData: function(e){
    let that = this;
    var qufentime = wx.getStorageSync('qufentime');
    var lb_descript = wx.getStorageSync('lb_descript'); 
    wx.setStorageSync('yanzhengid', lb_descript.desc.record_id);
    // var lb_swiper_con = wx.getStorageSync('lb_swiper_con');
    var swiper_arr = wx.getStorageSync('swiper_arr');
    var answer_swiper = wx.getStorageSync('answer_swiper');
    let len = swiper_arr[1].length;
    var record = e.currentTarget.dataset.record;
    var index = e.currentTarget.dataset.index;
    // var answer = e.currentTarget.dataset.answer;
    var score = e.currentTarget.dataset.score;
    // 判断题长度
    if (record < Number(len)-1){
      this.setData({
        active: index,
        all:len,
        current:Number(record)
      })
      if (answer_swiper.score.length<=record){
        answer_swiper.score.push(score);
        answer_swiper.answer.push(index);
      }else{
        answer_swiper.score[record] = score;
        answer_swiper.answer[record] = index;
      }
      wx.setStorageSync('answer_swiper', answer_swiper);
      setTimeout(function(){
        that.next(record);
      },50)
    } else if (record == Number(len)-1){
      this.setData({
        active: index,
        all: len,
        current: Number(record),
        disab:false
      })
      if (answer_swiper.score.length <= record) {
        answer_swiper.score.push(score);
        answer_swiper.answer.push(index);
      } else {
        answer_swiper.score[record] = score;
        answer_swiper.answer[record] = index;
      }
      wx.setStorageSync('answer_swiper', answer_swiper);
    }else{
    }
  },
  prev: function (e) {
    var record = this.data.current-1;
    this.prevAnimation();
    var swiper_arr = wx.getStorageSync('swiper_arr');
    let len = swiper_arr[1].length;
    var answer_swiper = wx.getStorageSync('answer_swiper');
    var item = swiper_arr[1][record]
    this.setData({
      active: answer_swiper.answer[Number(record)],
      current: record,
      item:item
    })
  },
 
  next: function (n) {
    var swiper_arr = wx.getStorageSync('swiper_arr');
    let len = swiper_arr[1].length;
    if (n < len){
      this.nextAnimation();
      var item = swiper_arr[1][n+1]
      var answer_swiper = wx.getStorageSync('answer_swiper');
      var an_len = answer_swiper.answer ? answer_swiper.answer.length:-1;
      if (an_len-n>1){
        this.setData({
          active: answer_swiper.answer[n+1],
          item: item,
          all: len,
          current: n + 1
        })
      }else{
        this.setData({
          active: -1,
          item: item,
          all: len,
          current: n + 1
        })
      }
      
    } else if (n == len){
      console.log('tijiao')
      // this.tijiao();
     
    }else{
      console.log('meiyouti')
    }
   
  },
  nextAnimation: function (){
    var that = this;
    var _thisWidth = Number(this.data.winW) ;
    var animation = wx.createAnimation({
      duration: 400,
      timingFunction: 'linear',
    })
    this.animation = animation
    animation.left(-_thisWidth).opacity(0).step();
    this.setData({
      animationData: animation.export()
    })
    setTimeout(function(){
      var animation1 = wx.createAnimation({
        duration: 0,
        timingFunction: 'step-start',
      })
      that.animation = animation1
      animation1.left(_thisWidth / 2).opacity(1).step();
      that.setData({
        animationData: animation1.export()
      })
    },410)
  },
  prevAnimation: function (){
    var that = this;
    var _thisWidth = Number(this.data.winW);
    var animation = wx.createAnimation({
      duration: 300,
      timingFunction: 'linear',
    })
    this.animation = animation
    animation.left(_thisWidth*2).opacity(1).step();
    this.setData({
      animationData: animation.export()
    })
    setTimeout(function () {
      var animation1 = wx.createAnimation({
        duration: 0,
        timingFunction: 'step-start',
      })
      that.animation = animation1
      animation1.left(_thisWidth/2).opacity(1).step();
      that.setData({
        animationData: animation1.export()
      })
    }, 310)
  },
  onShow: function () {
    var swiper_arr = wx.getStorageSync('swiper_arr');
    if (swiper_arr){
      wx.setNavigationBarTitle({
        title: swiper_arr[0].measure_name
      });
    }
   
    wx.getSystemInfo({
      success: (res) => {
        this.setData({
          winH: res.windowHeight,
          winW: res.windowWidth,
        })
      }
    });
    var startTime = Date.parse(new Date());
    var cha = wx.getStorageSync('chaTime') ? wx.getStorageSync('chaTime') : 0;
    wx.setStorageSync('startTime', Number(startTime));
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    var endtTime = Date.parse(new Date());
    var startTime = wx.getStorageSync('startTime');
    var cha = endtTime - startTime;
    var arr = wx.getStorageSync("timeArr");
    if (Number(cha) < 1000000040000) {
      arr.push(Number(cha))
      wx.setStorageSync("timeArr", arr);
    }
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    var endtTime = Date.parse(new Date());
    var startTime = wx.getStorageSync('startTime');
    var cha = endtTime - startTime;
    var arr = wx.getStorageSync("timeArr");
    if (Number(cha) < 1000000040000) {
      arr.push(Number(cha))
      wx.setStorageSync("timeArr", arr);
    }
  },
  tijiao: function () {
    let that = this;
    if (this.data.flag && !this.disab) {
      this.setData({
        flag: false
      })
      setTimeout(function () {
        that.setData({
          flag: true
        })
      }, 4000)
      wx.showLoading({
        title: '上传中...',
      })
      var startTime = wx.getStorageSync('startTime');
      var timeArr = wx.getStorageSync('timeArr');
      var chaTime = 0;
      for (let i = 0; i < timeArr.length; i++) {
        if (Number(timeArr) > 1000000040000) {
          timeArr[i] = 0;
        }
        chaTime += timeArr[i]
      }
      var thisTime = Date.parse(new Date());
      var cha = thisTime - startTime + chaTime;
      var time = Api.reversalTime(cha)
      var user = wx.getStorageSync('user');
      var answer = wx.getStorageSync('answer_swiper');
      for (let i = 0; i < answer.score.length;i++){
        answer.score[i] = answer.score[i].replace(/[\r\n]/g,'');
      }
      var lb_descript = wx.getStorageSync('lb_descript');
      var swiper_arr = wx.getStorageSync('swiper_arr');
      var lb_tp = wx.getStorageSync('lb_tz')
      if (lb_tp == '1') {
        var data = { user_stime: time, user_answer: answer.score, answer: answer.answer, user_number: lb_descript.desc.z_openid, measure_id: lb_descript.id[0], };
        var url = Api.HOST_xinli + 'xinli/index.php/Api/add_res';
      } else {
        var data = { user_stime: time, user_answer: answer.score, answer: answer.answer, user_number: user.openid, measure_id: lb_descript.id[0], };
        var url = Api.HOST_xinli + 'xinli/index.php/Api/add_res';
      }
      data.unitid = lb_descript.desc.unitid;
      Api.fetchPostN(url, data, (err, res) => {
        if (Number(res) == 0) {

        
        Api.alert("提交失败，请重新提交。")
        return;
        }
        var swiper_arr = wx.getStorageSync('swiper_arr');
        var data1 = {};
        var urls = Api.HOST + 'wechat.php?s=Home/del_vip';
        var ti_title = swiper_arr[0].measure_name;
        var lb_descript = wx.getStorageSync("lb_descript");
        data1.g_time = lb_descript.desc.g_time || lb_descript.desc.time;
        data1.measure_name = ti_title;
        data1.res_id = res;
        var lb_tz = wx.getStorageSync('lb_tz');
        if (lb_tz == '1') {
          var unitid = wx.getStorageSync("unitid");
          data1.unitid = unitid;
          data1.z_openid = lb_descript.desc.z_openid;
          data1.t_openid = lb_descript.desc.t_openid;
          data1.openid = lb_descript.desc.z_openid;
          data1.is_type = 0;
          data1.measure_id = lb_descript.id[0];
        } else {
          data1.z_openid = user.openid;
          data1.t_openid = lb_descript.desc.t_openid;
          data1.openid = user.openid;
          data1.is_type = 1;
          data1.unitid = lb_descript.desc.unitid;
          data1.measure_id = lb_descript.id[0];
        }
        Api.fetchPost(urls, data1, (err, res) => {
          if (err) {
            that.setData({
              flag: true
            })
          }
          that.setData({
            flag: true
          })
          if(res ==1 || res == 0){
            wx.removeStorageSync('answer_swiper')
            wx.removeStorageSync('swiper_arr')
            wx.removeStorageSync('chaTime')
            wx.removeStorageSync('endTime')
            wx.removeStorageSync('startTime')
            wx.removeStorageSync('timeArr')
            wx.removeStorageSync('lb_swiper_con')
            wx.hideLoading()
          }
          var timer = setTimeout(function () {
            wx.showLoading({
              title: '连接超时',
            })
          }, 5000)
          
         
          if (res == 1) {
            clearTimeout(timer)
            wx.showToast({
              title: '上传成功',
              icon: 'success',
              duration: 2000
            })
            setTimeout(function(){
              var lb_tz = wx.getStorageSync('lb_tz');
              if (lb_tz == '1') {
                wx.reLaunch({
                  url: '/pages/info1/info1?otype=1&otype1=1'
                })
              } else {
                wx.reLaunch({
                  url: '/pages/info/info?otype=1&otype1=1',
                })
              }
            },2000)
          } else if (res == 0) {
            clearTimeout(timer)
            wx.showToast({
              title: '上传成功',
              icon: 'success',
              duration: 2000
            })
           setTimeout(function(){
             wx.removeStorageSync('tplbDetail')
             wx.removeStorageSync('weiLb')
             wx.reLaunch({
               // url: '/pages/end/end?lbtype=-1',
               url: '/pages/record/record',
               success: function () {
                 wx.removeStorageSync('lb_descript')
               }
             })
           },2000)
          }
        })
      })
    }
  },
})